# Class: GraphicText

## GraphicText()

#### new GraphicText()

Source:
  - GraphicText.js, line 12

### Methods

#### (async, static) createObj() → {Promise.<GraphicText>}

构造一个新的 GraphicText 对象。

Source:
  - GraphicText.js, line 34

##### Returns:

Type
  Promise.<GraphicText>

#### (async, static) getAnchorPoint() → {Promise.<*>}

获取锚点

Source:
  - GraphicText.js, line 206

##### Returns:

Type
  Promise.<*>

#### (async, static) getFontSize() → {Promise.<*>}

获取字体大小

Source:
  - GraphicText.js, line 136

##### Returns:

Type
  Promise.<*>

#### (async, static) getPoint() → {Promise.<Dot>}

获取文本的位置

Source:
  - GraphicText.js, line 106

##### Returns:

Type
  Promise.<Dot>

#### (async, static) getText() → {Promise.<*>}

获取文本

Source:
  - GraphicText.js, line 122

##### Returns:

Type
  Promise.<*>

#### (async, static) getTextHeight() → {Promise.<*>}

获取文本高度

Source:
  - GraphicText.js, line 178

##### Returns:

Type
  Promise.<*>

#### (async, static) getTextWidth() → {Promise.<(*|*)>}

获取文本宽度

Source:
  - GraphicText.js, line 164

##### Returns:

Type
  Promise.<(*|*)>

#### (async, static) isSlope() → {Promise.<*>}

获取是否随地图倾斜

Source:
  - GraphicText.js, line 150

##### Returns:

Type
  Promise.<*>

#### (async, static) setAnchorPoint(referenceWidth, referenceHeight, referenceInterval, anchorPoint) → {Promise.<void>}

设置锚点

##### Parameters:

Name | Type | Description
--- | --- | ---
`referenceWidth` |  |
`referenceHeight` |  |
`referenceInterval` |  |
`anchorPoint` |  |

Source:
  - GraphicText.js, line 226

##### Returns:

Type
  Promise.<void>

#### (async, static) setAnchorPoint(anchorPoint) → {Promise.<void>}

设置锚点

##### Parameters:

Name | Type | Description
--- | --- | ---
`anchorPoint` |  | 图片锚点的位置：左下角为(0,0),右上角为(1,1)

Source:
  - GraphicText.js, line 193

##### Returns:

Type
  Promise.<void>

#### (async, static) setFontSize(fontSize) → {Promise.<void>}

设置线宽

##### Parameters:

Name | Type | Description
--- | --- | ---
`fontSize` |  |

Source:
  - GraphicText.js, line 79

##### Returns:

Type
  Promise.<void>

#### (async, static) setPoint(point) → {Promise.<void>}

设置位置

##### Parameters:

Name | Type | Description
--- | --- | ---
`point` |  | 定位点相对于文字的位置

Source:
  - GraphicText.js, line 51

##### Returns:

Type
  Promise.<void>

#### (async, static) setSlope(isSlope) → {Promise.<void>}

设置是否随地图倾斜

##### Parameters:

Name | Type | Description
--- | --- | ---
`isSlope` |  |

Source:
  - GraphicText.js, line 93

##### Returns:

Type
  Promise.<void>

#### (async, static) setText(text) → {Promise.<void>}

设置文本

##### Parameters:

Name | Type | Description
--- | --- | ---
`text` |  |

Source:
  - GraphicText.js, line 65

##### Returns:

Type
  Promise.<void>